﻿using System;
using System.ComponentModel.DataAnnotations;
using CompareObjField;

namespace UnitTestProject1
{
    public class CompareClass
    {
        [Display(Name = "年龄")]
        [CompareField(ZeroEqualNullOrEmpt = true)]
        public int? Age { get; set; }


        [Display(Name = "数量")]
        [CompareField(ZeroEqualNullOrEmpt = true)]
        public decimal? Amount { get; set; }


        [Display(Name = "日期")]
        [CompareField(ZeroEqualNullOrEmpt = true)]
        public DateTime? DateTime { get; set; }


        [Display(Name = "名称")]
        [CompareField]
        public string FName { get; set; }


        [Display(Name = "身份证")]
        [CompareField]
        public string IDCard { get; set; }
    }

    public class Class2
    {
        public int? Age { get; set; }

        public decimal? Amount { get; set; }

        public DateTime? DateTime { get; set; }

        public string FName { get; set; }

        public string IDCard { get; set; }
    }

}
